
<div class="ui grid">
  <div class="three wide column">
    <div class="ui card">
        <div class="image">
        <img [src]="getImage()" alt="User's profile picture">
        </div>
        <div class="content">
        <a class="header">{{user?.name}} {{user?.lastName}}</a>
        <div class="description">
            <div>
                <label>Username: </label>
                <label>{{user?.username}}</label>
            </div>
            <div>
                <label>Email: </label>
                <label>{{user?.email}}</label>
            </div>
        </div>
        </div>
    </div>
  </div>
  
  <div class="ten wide column">

    <div class="ui segment">
      <form class="ui form error" [formGroup]="changePasswordForm" (ngSubmit)="onChangePasswordSubmit()">
          <div class="field">
            <label>Current password:</label>
            <input type="password" formControlName="currentPassword" placeholder="Enter current password">
          </div>
          <div class="field">
            <label>New password:</label>
            <input type="password" formControlName="newPassword" placeholder="Enter new password">
          </div>
          <div class="ui error message" *ngIf="showPasswordError">
            <div class="header">"Wrong password!"</div>
            <p>To make changes you need to enter correct password!</p>
          </div>
          <button class="ui button" type="submit">Change password</button>
          <button class="ui button" type="button" (click)="cancelPasswordChange()">Cancel</button>
      </form>
    </div>
      
    <div class="ui segment">
      <form class="ui form error" [formGroup]="changeEmailForm" (ngSubmit)="onChangeEmailSubmit()">
          <div class="field">
            <label>New Email:</label>
            <input type="text" formControlName="email" placeholder="Enter new email">
          </div>
          <div class="field">
            <label>Password:</label>
            <input type="password" formControlName="password" placeholder="Enter password">
          </div>
          <div class="ui error message" *ngIf="showEmailError">
            <div class="header">"Wrong password!"</div>
            <p>To make changes you need to enter correct password!</p>
          </div>
          <button class="ui button" type="submit">Change email</button>
          <button class="ui button" type="button" (click)="cancelEmailChange()">Cancel</button>
      </form>
    </div>

    <div class="ui segment">
      <form class="ui form" [formGroup]="changeImageForm">
        <div class="ui field">
          <label>Change profile picture:</label>
          <input type="file" formControlName="imgUrl" (change)="onFileChange($event)">
        </div>
      </form>
    </div>

  </div>
</div>